#include "proptreepane.h"

#include <owl/radiobut.h>
#include <owl/combobox.h>
class TShowOff1Pane : public TPropTreePane {
public:
  TShowOff1Pane( TPropTreeDialog* parent,
                 uint32 uniqueId,
                 const char far* helpText,
                 TResId resId,
                 TModule* module = 0);
  ~TShowOff1Pane();

protected:

  bool Apply();
  void Reset();
  void CmSelectPane();

  void SetupWindow();

private:

  TRadioButton *nextCodeRadio;
  TRadioButton *paneIdRadio;

  TComboBox    *nextCodeCombo;
  TComboBox    *paneIdCombo;

DECLARE_RESPONSE_TABLE(TShowOff1Pane);
};