#include "proptreepane.h"

#include <owl/checkbox.h>

class TShowOff2Pane : public TPropTreePane {
public:
  TShowOff2Pane( TPropTreeDialog* parent,
                 uint32 uniqueId,
                 const char far *helpText,
                 TResId resId,
                 TModule* module = 0);
  ~TShowOff2Pane();

protected:

  bool Apply();
  void Reset();
  bool QueryCancel();
  bool SetActive();
  bool KillActive();

private:

  TCheckBox *noApply;
  TCheckBox *noSelect;
  TCheckBox *noLeave;
  TCheckBox *noCancel;

DECLARE_RESPONSE_TABLE(TShowOff2Pane);
};