#include "proptreepane.h"

#include <owl/checkbox.h>
#include <owl/edit.h>

class TDullChildPane : public TPropTreePane {
public:
  TDullChildPane( TPropTreeDialog* parent,
                  uint32 uniqueId,
                  const char far *helpText,
                  TResId resId,
                  TModule* module = 0);
  ~TDullChildPane();

protected:

  void CmNextPane();
  void CmPreviousPane();

  bool Apply();
  void Reset();
  
protected:

  TCheckBox *box1;
  TCheckBox *box2;
  TCheckBox *box3;
  TCheckBox *box4;
  TCheckBox *box5;
  TCheckBox *box6;

  TEdit     *first;
  TEdit     *middle;
  TEdit     *last;

DECLARE_RESPONSE_TABLE(TDullChildPane);
};